Bug 1539929 - Should openjfx install symlinks as described in the documentation?
Summary: Should openjfx install symlinks as described in the documentation?
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: openjfx
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jonny Heggheim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-29 21:56 UTC by Paul DeStefano
Modified: 2019-04-01 12:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-01 12:08:06 UTC


Attachments (Terms of Use)

Description Paul DeStefano 2018-01-29 21:56:27 UTC
Description of problem:
After installing openjfx, openjfx is not available to java programs.  After running a script nearly identical to the one given in the documentation, openjfx is available to programs built against JavaFX.

Version-Release number of selected component (if applicable):
openjfx-8.0.152-12.b04.fc27.x86_64

How reproducible:
Always, since recently, anyhow.

Steps to Reproduce:
1. install openjfx
2. run java program based on JavaFX


Actual results:
Crash, cannot find JavaFX libraries.

Expected results:
Required libraries are located by linker.

Additional info:
I swear this worked before in the past.  I had a problem with a java program, traced it to JavaFX problems, install openjfx RPM and it worked.  I did that this time, too, but got the same error after installing openjfx.  Am I misremembering?  Did something change in openjfx package?  How should I handled this going forward?  Do I need to manage these links myself?

Comment 1 Paul DeStefano 2018-01-29 22:01:27 UTC
Mabye something did change recently?  Looks like there were symlinks before?

https://fedora.pkgs.org/27/fedora-x86_64/java-1.8.0-openjdk-openjfx-1.8.0.144-7.b01.fc27.x86_64.rpm.html

I'm not complaining, I'm just confused and want to know what I'm supposed to be doing.

Comment 2 Jonny Heggheim 2018-01-29 22:27:09 UTC
(In reply to Paul DeStefano from comment #0)
> Steps to Reproduce:
> 1. install openjfx

Do you have java-1.8.0-openjdk-openjfx installed? OpenJFX programs will not work without this package.


> Additional info:
> I swear this worked before in the past.  I had a problem with a java
> program, traced it to JavaFX problems, install openjfx RPM and it worked.  I
> did that this time, too, but got the same error after installing openjfx. 
> Am I misremembering?  Did something change in openjfx package?  How should I
> handled this going forward?  Do I need to manage these links myself?

There have not been any big changes to this package, the openjfx package have always only provided the libraries.

Comment 3 Paul DeStefano 2018-01-30 04:40:25 UTC
Ah okay, I see. No, I installed openjfx, only.

Guess I missed java-1.8.0-openjdk-openjfx when searching for openjfx.  So, java-1.8.0-openjdk-openjfx requires openjfx?  Is that how the dependency is supposed to work?  Okay, cool, guess I just installed the wrong thing.  Had a 50/50 chance and got it wrong.

Comment 4 Christian Stadelmann 2018-06-06 07:48:17 UTC
I ran into the same bug.

(In reply to Paul DeStefano from comment #3)
> Ah okay, I see. No, I installed openjfx, only.
> 
> Guess I missed java-1.8.0-openjdk-openjfx when searching for openjfx.  So,
> java-1.8.0-openjdk-openjfx requires openjfx?  Is that how the dependency is
> supposed to work?  Okay, cool, guess I just installed the wrong thing.  Had
> a 50/50 chance and got it wrong.

So these two packages should Require: each other. I've created a patch:
https://src.fedoraproject.org/rpms/openjfx/pull-request/1

I can confirm that installing java-1.8.0-openjdk-openjfx works around the issue.

Comment 5 Jonny Heggheim 2018-06-29 22:52:10 UTC
(In reply to Christian Stadelmann from comment #4)
> I ran into the same bug.
> 
> (In reply to Paul DeStefano from comment #3)
> > Ah okay, I see. No, I installed openjfx, only.
> > 
> > Guess I missed java-1.8.0-openjdk-openjfx when searching for openjfx.  So,
> > java-1.8.0-openjdk-openjfx requires openjfx?  Is that how the dependency is
> > supposed to work?  Okay, cool, guess I just installed the wrong thing.  Had
> > a 50/50 chance and got it wrong.
> 
> So these two packages should Require: each other. I've created a patch:
> https://src.fedoraproject.org/rpms/openjfx/pull-request/1
> 
> I can confirm that installing java-1.8.0-openjdk-openjfx works around the
> issue.

Due to the way openjfx integrates to Java makes it hard to package. See bug 1145303 for discussion about the different strategies. This patch will cause other issues.

Comment 6 Nicolas De Amicis 2018-11-26 09:33:57 UTC
I will close this bug. You need to install java-1.8.0-openjdk-openjfx

Comment 7 Ben Cotton 2018-11-27 13:29:11 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.